Index: trunk/pxeconfig/CHECKINSTALL/description-pak
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/description-pak	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/description-pak	(revision 34)
@@ -0,0 +1,1 @@
+utilities to boot computers with PXE-enabled network cards
Index: trunk/pxeconfig/CHECKINSTALL/doc-pak/AUTHORS
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/doc-pak/AUTHORS	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/doc-pak/AUTHORS	(revision 34)
@@ -0,0 +1,7 @@
+pxeconfig and pxeconfigd
+========================
+Bas van der Vlies <basv@sara.nl>
+
+hexls.py
+========================
+Walter de Jong <walter@sara.nl>
Index: trunk/pxeconfig/CHECKINSTALL/doc-pak/COPYING
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/doc-pak/COPYING	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/doc-pak/COPYING	(revision 34)
@@ -0,0 +1,345 @@
+ GNU GENERAL PUBLIC LICENSE
+		       Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+                       59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+			    Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Library General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+
+
+	    How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+Copyright (C) <year> <name of author>
+
+This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) year name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Library General
+Public License instead of this License.
Index: trunk/pxeconfig/CHECKINSTALL/doc-pak/Changelog
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/doc-pak/Changelog	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/doc-pak/Changelog	(revision 34)
@@ -0,0 +1,21 @@
+0.4.2
+  Minor change to pxeconfig/pxeconfigd utiltites. Added '-V/--version' 
+  flag for printing version info.
+
+  Updated the INSTALL instructions. Howto use it for systemimager 3.X
+  versions
+
+0.4
+  Pxeconfig can now be used interactively or via command line
+  options.
+
+0.3
+  Fixed a bug in hexls. The regular expression to determine if
+  a filename is pxe hex filename or ordinary filename was wrong.
+
+0.2.1
+  Bugfix now we can run pxeconfig a second time to change the pxe boot file.
+  Reported by: Ole Holm Nielsen
+
+  Phrase change use 'Select a number:' instead of 'Choice a number'
+  Proposed by: Ole Holm Nielsen
Index: trunk/pxeconfig/CHECKINSTALL/doc-pak/INSTALL
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/doc-pak/INSTALL	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/doc-pak/INSTALL	(revision 34)
@@ -0,0 +1,70 @@
+Here follow some basic installation instructions.
+
+To activate the 'pxeconfigd' daemon the following actions are required:
+ 1) edit '/etc/services', eg:
+      pxeconfigd      10000/tcp                       # pxe config daemon
+
+ 2) edit '/etc/inetd.conf', eg
+      pxeconfigd stream  tcp nowait  root.sys /usr/sbin/tcpd \
+        /usr/sara/sbin/pxeconfigd
+
+    NOTE: the pxeconfigd can only be started from inetd!!!
+
+ 3) kill -1 `pidof inetd` (Linux)
+
+ 4) You can test it by: 
+     telnet localhost pxeconfigd (or port number)
+
+     output:
+       Trying 127.0.0.1...
+       Connected to localhost.
+       Escape character is '^]'.
+       ip = 127.0.0.1, hex = 7F000001
+       file = /tftpboot/pxelinux.cfg/7F000001
+       Connection closed by foreign host.
+
+     In syslog a line will be added if the removal is succesful:
+      Feb 20 09:32:40 test pxeconfigd: /tftpboot/pxelinux.cfg/7F000001
+
+ 4) As you can see '/tftpboot/pxelinux.cfg/' is the default directory. If
+    you placed the config files somewhere else you can add the 
+    '-d/--directory' option, eg:
+       pxeconfigd stream  tcp nowait  root.sys /usr/sbin/tcpd \
+        /usr/sara/sbin/pxeconfigd -d /<some>/<other>/<place>
+
+If the daemon works and you want to install/reinstall a node, a link
+must be placed in the '/tftpboot/pxelinux.cfg' directory. This can
+be done with the 'pxeconfig' utility. This utility will ask some
+questions and will make the links for you. The utility requires the following
+setup:
+  1) All the pxe configuration files must start with the keyword 'default.' 
+     N.B.: yes, the dot after 'default' is part and parcel of the keyword!
+     In this distribution two examples are included. Pxeconfig lets the
+     user decide which 'default.' config file to use.
+
+  2) If default is a symbolic link to for example default.harddisk, then
+     default.harddisk is not included in the list where the user can
+     choose from.
+
+  3) You can give a command line switch to specify where the
+     pxe config files reside:
+        pxeconfig -d /<some>/<other>/<place>
+
+The last utility is 'hexls'. This utility will display the hex pxe config
+file with the corresponding ip-addresses.
+
+To activate this on a client you must add the following line to the 'master'
+script of the node. It will remove the pxe config file for the node
+from the pxe bootserver. I personally place the line just before the umount
+commands. See below which command to use for which systemimager version.
+Telnet is not included in the 3.X versions.
+   # Remove the <hex_ipaddr> file from the pxelinux.cfg directory.
+   # So the client will boot from disk
+   #        
+   3.X)  chroot /a telnet $IMAGESERVER 10000
+   2.X)  telnet $IMAGESERVER 10000
+
+
+Comments or Suggestions mail them to:
+ Bas van der Vlies <basv@sara.nl>
+ http://www.sara.nl for more info about SARA
Index: trunk/pxeconfig/CHECKINSTALL/doc-pak/README
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/doc-pak/README	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/doc-pak/README	(revision 34)
@@ -0,0 +1,53 @@
+PXE-utilities
+-------------
+
+This is a release of the SARA package of utilities that we use to boot
+our nodes with PXE-enabled network cards. This was developed because we
+always want to use the PXE-enabled network card as our first boot device.
+With pxelinux, which is a derivative of syslinux, you can specify with a PXE 
+configuration file how the node must boot. This configuration is placed in, 
+e.g. '/tftpboot/pxelinux.cfg' directory.
+
+In our setup we have a default setup. The default setup is to boot from
+harddisk. When a node boots it fetches the default configuration file and the
+configuration file tells the node to boot from the harddisk. This setup
+is used for nodes that have already been installed by systemimager.
+
+At SARA we have developed the following  strategy how to install a fresh node.
+
+ 1) The ip-address in our setup is known for the new node. So
+    we make a link in the '/tftpboot/pxelinux.cfg' directory to a 
+    pxe config file which tells that it has to fetch the kernel en 
+    root filesystem from our bootserver, eg:
+         0A000A02 ---> default.node_install (10.0.10.2)
+
+ 2) The client starts and  uses the systemimager software to install
+    the node. The last line of installation script connects to a
+    daemon on the bootserver. This daemon will remove the PXE config file
+    for this node.
+
+ 3) The node reboots and will use the default pxe config file which will
+    instruct the node to boot from harddisk.
+
+This release contains the following utilities:
+
+  pxeconfigd)
+     This is daemon that removes the pxe configuration file of a node.
+
+  pxeconfig)
+     With this program we can specify which pxe config file
+     a node or nodes must use. This utility will create the links
+     in '/tftpboot/pxelinux.cfg'
+
+  hexls)
+      Is a utility that diplays a directory, and, if in this directory
+      contains HEX files, it will convert them to IP-numbers.
+
+All these utilities are written in Python. 
+
+I useful link about how to use Systemimager and the pxeconfig tools is:
+	http://www.fysik.dtu.dk/CAMP/Niflheim/systemimager.html
+
+Comments or Suggestions mail them to:
+Bas van der Vlies <basv@sara.nl>
+http://www.sara.nl for more info about SARA.
Index: trunk/pxeconfig/CHECKINSTALL/postinstall-pak
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/postinstall-pak	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/postinstall-pak	(revision 34)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+update-inetd --add "pxeconfigd\tstream\ttcp\tnowait\troot.sys\t/usr/sbin/tcpd\t/usr/sbin/pxeconfigd"
+
+
+PXE_TEST=`grep pxeconfigd /etc/services`
+
+if [ "$PXE_TEST" ]; then
+  echo "WARNING: pxeconfigd already in /etc/services"
+else
+  echo -e "pxeconfigd\t10000/tcp\t\t\t# pxe config daemon\n" >> /etc/services
+  /etc/init.d/inetd reload
+fi
+
+
Index: trunk/pxeconfig/CHECKINSTALL/postremove-pak
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/postremove-pak	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/postremove-pak	(revision 34)
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ "$1" = "purge" ]
+then
+  update-inetd --remove "pxeconfigd\tstream\ttcp\tnowait\troot.sys\t/usr/sbin/tcpd\t/usr/sbin/pxeconfigd"
+  /etc/init.d/inetd reload
+
+  PXE_TEST=`grep pxeconfigd /etc/services`
+
+  if [ "$PXE_TEST" ]; then
+    grep -v "pxeconfigd" /etc/services > /tmp/services.tmp
+    mv /tmp/services.tmp /etc/services
+  else
+    echo "WARNING: no pxeconfigd in /etc/services to remove"
+  fi
+
+fi
Index: trunk/pxeconfig/CHECKINSTALL/services
===================================================================
--- trunk/pxeconfig/CHECKINSTALL/services	(revision 34)
+++ trunk/pxeconfig/CHECKINSTALL/services	(revision 34)
@@ -0,0 +1,432 @@
+# /etc/services:
+# $Id: services,v 1.4 1997/05/20 19:41:21 tobias Exp $
+#
+# Network services, Internet style
+#
+# Note that it is presently the policy of IANA to assign a single well-known
+# port number for both TCP and UDP; hence, most entries here have two entries
+# even if the protocol doesn't support UDP operations.
+# Updated from RFC 1700, ``Assigned Numbers'' (October 1994).  Not all ports
+# are included, only the more common ones.
+
+tcpmux		1/tcp				# TCP port service multiplexer
+echo		7/tcp
+echo		7/udp
+discard		9/tcp		sink null
+discard		9/udp		sink null
+systat		11/tcp		users
+daytime		13/tcp
+daytime		13/udp
+netstat		15/tcp
+qotd		17/tcp		quote
+msp		18/tcp				# message send protocol
+msp		18/udp				# message send protocol
+chargen		19/tcp		ttytst source
+chargen		19/udp		ttytst source
+ftp-data	20/tcp
+ftp		21/tcp
+fsp		21/udp		fspd
+ssh		22/tcp				# SSH Remote Login Protocol
+ssh		22/udp				# SSH Remote Login Protocol
+telnet		23/tcp
+# 24 - private
+smtp		25/tcp		mail
+# 26 - unassigned
+time		37/tcp		timserver
+time		37/udp		timserver
+rlp		39/udp		resource	# resource location
+nameserver	42/tcp		name		# IEN 116
+whois		43/tcp		nicname
+re-mail-ck	50/tcp				# Remote Mail Checking Protocol
+re-mail-ck	50/udp				# Remote Mail Checking Protocol
+domain		53/tcp		nameserver	# name-domain server
+domain		53/udp		nameserver
+mtp		57/tcp				# deprecated
+bootps		67/tcp				# BOOTP server
+bootps		67/udp
+bootpc		68/tcp				# BOOTP client
+bootpc		68/udp
+tftp		69/udp
+gopher		70/tcp				# Internet Gopher
+gopher		70/udp
+rje		77/tcp		netrjs
+finger		79/tcp
+www		80/tcp		http		# WorldWideWeb HTTP
+www		80/udp				# HyperText Transfer Protocol
+link		87/tcp		ttylink
+kerberos	88/tcp		kerberos5 krb5 kerberos-sec	# Kerberos v5
+kerberos	88/udp		kerberos5 krb5 kerberos-sec	# Kerberos v5
+supdup		95/tcp
+# 100 - reserved
+hostnames	101/tcp		hostname	# usually from sri-nic
+iso-tsap	102/tcp		tsap		# part of ISODE.
+csnet-ns	105/tcp		cso-ns		# also used by CSO name server
+csnet-ns	105/udp		cso-ns
+# unfortunately the poppassd (Eudora) uses a port which has already
+# been assigned to a different service. We list the poppassd as an
+# alias here. This should work for programs asking for this service.
+# (due to a bug in inetd the 3com-tsmux line is disabled)
+#3com-tsmux	106/tcp		poppassd
+#3com-tsmux	106/udp		poppassd
+rtelnet		107/tcp				# Remote Telnet
+rtelnet		107/udp
+pop2		109/tcp		postoffice pop-2	# POP version 2
+pop2		109/udp		pop-2
+pop3		110/tcp		pop-3		# POP version 3
+pop3		110/udp		pop-3
+sunrpc		111/tcp		portmapper	# RPC 4.0 portmapper TCP
+sunrpc		111/udp		portmapper	# RPC 4.0 portmapper UDP
+auth		113/tcp		authentication tap ident
+sftp		115/tcp
+uucp-path	117/tcp
+nntp		119/tcp		readnews untp	# USENET News Transfer Protocol
+ntp		123/tcp
+ntp		123/udp				# Network Time Protocol
+pwdgen		129/tcp				# PWDGEN service
+pwdgen		129/udp				# PWDGEN service
+netbios-ns	137/tcp				# NETBIOS Name Service
+netbios-ns	137/udp
+netbios-dgm	138/tcp				# NETBIOS Datagram Service
+netbios-dgm	138/udp
+netbios-ssn	139/tcp				# NETBIOS session service
+netbios-ssn	139/udp
+imap2		143/tcp		imap		# Interim Mail Access Proto v2
+imap2		143/udp		imap
+snmp		161/udp				# Simple Net Mgmt Proto
+snmp-trap	162/udp		snmptrap	# Traps for SNMP
+cmip-man	163/tcp				# ISO mgmt over IP (CMOT)
+cmip-man	163/udp
+cmip-agent	164/tcp
+cmip-agent	164/udp
+mailq		174/tcp				# Mailer transport queue for Zmailer
+mailq		174/udp				# Mailer transport queue for Zmailer
+xdmcp		177/tcp				# X Display Mgr. Control Proto
+xdmcp		177/udp
+nextstep	178/tcp		NeXTStep NextStep	# NeXTStep window
+nextstep	178/udp		NeXTStep NextStep	# server
+bgp		179/tcp				# Border Gateway Proto.
+bgp		179/udp
+prospero	191/tcp				# Cliff Neuman's Prospero
+prospero	191/udp
+irc		194/tcp				# Internet Relay Chat
+irc		194/udp
+smux		199/tcp				# SNMP Unix Multiplexer
+smux		199/udp
+at-rtmp		201/tcp				# AppleTalk routing
+at-rtmp		201/udp
+at-nbp		202/tcp				# AppleTalk name binding
+at-nbp		202/udp
+at-echo		204/tcp				# AppleTalk echo
+at-echo		204/udp
+at-zis		206/tcp				# AppleTalk zone information
+at-zis		206/udp
+qmtp		209/tcp				# The Quick Mail Transfer Protocol
+qmtp		209/udp				# The Quick Mail Transfer Protocol
+z3950		210/tcp		wais		# NISO Z39.50 database
+z3950		210/udp		wais
+ipx		213/tcp				# IPX
+ipx		213/udp
+imap3		220/tcp				# Interactive Mail Access
+imap3		220/udp				# Protocol v3
+rpc2portmap	369/tcp
+rpc2portmap	369/udp				# Coda portmapper
+codaauth2	370/tcp
+codaauth2	370/udp				# Coda authentication server
+ulistserv	372/tcp				# UNIX Listserv
+ulistserv	372/udp
+ldap		389/tcp				# Lightweight Directory Access Protocol
+ldap		389/udp				# Lightweight Directory Access Protocol
+https		443/tcp				# MCom
+https		443/udp				# MCom
+snpp		444/tcp				# Simple Network Paging Protocol
+snpp		444/udp				# Simple Network Paging Protocol
+saft		487/tcp				# Simple Asynchronous File Transfer
+saft		487/udp				# Simple Asynchronous File Transfer
+npmp-local	610/tcp		dqs313_qmaster	# npmp-local / DQS
+npmp-local	610/udp		dqs313_qmaster	# npmp-local / DQS
+npmp-gui	611/tcp		dqs313_execd	# npmp-gui / DQS
+npmp-gui	611/udp		dqs313_execd	# npmp-gui / DQS
+hmmp-ind	612/tcp		dqs313_intercell# HMMP Indication / DQS
+hmmp-ind	612/udp		dqs313_intercell# HMMP Indication / DQS
+ipp		631/tcp				# Internet Printing Protocol
+ipp		631/udp				# Internet Printing Protocol
+#
+# UNIX specific services
+#
+exec		512/tcp
+biff		512/udp		comsat
+login		513/tcp
+who		513/udp		whod
+shell		514/tcp		cmd		# no passwords used
+syslog		514/udp
+printer		515/tcp		spooler		# line printer spooler
+talk		517/udp
+ntalk		518/udp
+route		520/udp		router routed	# RIP
+timed		525/udp		timeserver
+tempo		526/tcp		newdate
+courier		530/tcp		rpc
+conference	531/tcp		chat
+netnews		532/tcp		readnews
+netwall		533/udp				# -for emergency broadcasts
+gdomap		538/tcp				# GNUstep distributed objects
+gdomap		538/udp				# GNUstep distributed objects
+uucp		540/tcp		uucpd		# uucp daemon
+afpovertcp	548/tcp				# AFP over TCP
+afpovertcp	548/udp				# AFP over TCP
+remotefs	556/tcp		rfs_server rfs	# Brunhoff remote filesystem
+klogin		543/tcp				# Kerberized `rlogin' (v5)
+kshell		544/tcp		krcmd		# Kerberized `rsh' (v5)
+nntps		563/tcp		snntp		# NNTP over SSL
+nntps		563/udp		snntp		# NNTP over SSL
+ldaps		636/tcp				# LDAP over SSL
+ldaps		636/udp				# LDAP over SSL
+tinc		655/tcp				# tinc control port
+tinc		655/udp				# tinc packet port
+kerberos-adm	749/tcp				# Kerberos `kadmin' (v5)
+#
+webster		765/tcp				# Network dictionary
+webster		765/udp
+rsync		873/tcp				# rsync
+rsync		873/udp				# rsync
+ftps-data	989/tcp				# FTP over SSL (data)
+ftps		990/tcp				# FTP over SSL
+telnets		992/tcp				# Telnet over SSL
+telnets		992/udp				# Telnet over SSL
+imaps	 	993/tcp				# IMAP over SSL
+imaps	 	993/udp				# IMAP over SSL
+ircs		994/tcp				# IRC over SSL
+ircs		994/udp				# IRC over SSL
+pop3s		995/tcp				# POP-3 over SSL
+pop3s		995/udp				# POP-3 over SSL
+#
+# From ``Assigned Numbers'':
+#
+#> The Registered Ports are not controlled by the IANA and on most systems
+#> can be used by ordinary user processes or programs executed by ordinary
+#> users.
+#
+#> Ports are used in the TCP [45,106] to name the ends of logical
+#> connections which carry long term conversations.  For the purpose of
+#> providing services to unknown callers, a service contact port is
+#> defined.  This list specifies the port used by the server process as its
+#> contact port.  While the IANA can not control uses of these ports it
+#> does register or list uses of these ports as a convienence to the
+#> community.
+#
+socks		1080/tcp			# socks proxy server
+socks		1080/udp			# socks proxy server
+lotusnote       1352/tcp	lotusnotes	# Lotus Note
+lotusnote       1352/udp	lotusnotes	# Lotus Note
+ingreslock	1524/tcp
+ingreslock	1524/udp
+prospero-np	1525/tcp			# Prospero non-privileged
+prospero-np	1525/udp
+datametrics	1645/tcp	old-radius	# datametrics / old radius entry
+datametrics	1645/udp	old-radius	# datametrics / old radius entry
+sa-msg-port	1646/tcp	old-radacct	# sa-msg-port / old radacct entry
+sa-msg-port	1646/udp	old-radacct	# sa-msg-port / old radacct entry
+radius		1812/tcp			# Radius
+radius		1812/udp			# Radius
+radius-acct	1813/tcp	radacct		# Radius Accounting
+radius-acct	1813/udp	radacct		# Radius Accounting
+rtcm-sc104	2101/tcp			# RTCM SC-104 IANA 1/29/99
+rtcm-sc104	2101/udp			# RTCM SC-104 IANA 1/29/99
+cvspserver	2401/tcp			# CVS client/server operations
+cvspserver	2401/udp			# CVS client/server operations
+venus		2430/tcp			# codacon port
+venus		2430/udp			# Venus callback/wbc interface
+venus-se	2431/tcp			# tcp side effects
+venus-se	2431/udp			# udp sftp side effect
+codasrv		2432/tcp			# not used
+codasrv		2432/udp			# server port
+codasrv-se	2433/tcp			# tcp side effects
+codasrv-se	2433/udp			# udp sftp side effect
+mon		2583/tcp			# MON
+mon		2583/udp			# MON
+dict		2628/tcp                        # Dictionary server
+dict		2628/udp                        # Dictionary server
+gds_db		3050/tcp			# InterBase server
+gds_db		3050/udp			# InterBase server
+icpv2		3130/tcp	icp		# Internet Cache Protocol (Squid)
+icpv2		3130/udp	icp		# Internet Cache Protocol (Squid)
+mysql		3306/tcp			# MySQL
+mysql		3306/udp			# MySQL
+rfe		5002/tcp			# Radio Free Ethernet
+rfe		5002/udp			# Actually uses UDP only
+cfengine	5308/tcp			# CFengine
+cfengine	5308/udp			# CFengine
+x11		6000/tcp	x11-0		# X windows system
+x11		6000/udp	x11-0		# X windows system
+x11-1		6001/tcp			# X windows system
+x11-1		6001/udp			# X windows system
+x11-2		6002/tcp			# X windows system
+x11-2		6002/udp			# X windows system
+x11-3		6003/tcp			# X windows system
+x11-3		6003/udp			# X windows system
+x11-4		6004/tcp			# X windows system
+x11-4		6004/udp			# X windows system
+x11-5		6005/tcp			# X windows system
+x11-5		6005/udp			# X windows system
+x11-6		6006/tcp			# X windows system
+x11-6		6006/udp			# X windows system
+x11-7		6007/tcp			# X windows system
+x11-7		6007/udp			# X windows system
+afs3-fileserver 7000/tcp	bbs		# file server itself
+afs3-fileserver 7000/udp	bbs		# file server itself
+afs3-callback   7001/tcp			# callbacks to cache managers
+afs3-callback   7001/udp			# callbacks to cache managers
+afs3-prserver   7002/tcp			# users & groups database
+afs3-prserver   7002/udp			# users & groups database
+afs3-vlserver   7003/tcp			# volume location database
+afs3-vlserver   7003/udp			# volume location database
+afs3-kaserver   7004/tcp			# AFS/Kerberos authentication
+afs3-kaserver   7004/udp			# AFS/Kerberos authentication
+afs3-volser     7005/tcp			# volume managment server
+afs3-volser     7005/udp			# volume managment server
+afs3-errors     7006/tcp			# error interpretation service
+afs3-errors     7006/udp			# error interpretation service
+afs3-bos        7007/tcp			# basic overseer process
+afs3-bos        7007/udp			# basic overseer process
+afs3-update     7008/tcp			# server-to-server updater
+afs3-update     7008/udp			# server-to-server updater
+afs3-rmtsys     7009/tcp			# remote cache manager service
+afs3-rmtsys     7009/udp			# remote cache manager service
+font-service	7100/tcp	xfs		# X Font Service
+font-service	7100/udp	xfs		# X Font Service
+wnn6            22273/tcp			# wnn6
+wnn6            22273/udp			# wnn6
+
+#=========================================================================
+# The remaining port numbers are not as allocated by IANA.
+#
+# Kerberos (Project Athena/MIT) services
+# Note that these are for Kerberos v4, and are unofficial.  Sites running
+# v4 should uncomment these and comment out the v5 entries above.
+#
+kerberos4	750/udp		kerberos-iv kdc	# Kerberos (server) udp
+kerberos4	750/tcp		kerberos-iv kdc	# Kerberos (server) tcp
+kerberos_master	751/udp				# Kerberos authentication
+kerberos_master	751/tcp				# Kerberos authentication
+passwd_server	752/udp				# Kerberos passwd server
+krb_prop	754/tcp				# Kerberos slave propagation
+krbupdate	760/tcp		kreg		# Kerberos registration
+kpasswd		761/tcp		kpwd		# Kerberos "passwd"
+swat		901/tcp				# swat
+kpop		1109/tcp			# Pop with Kerberos
+knetd		2053/tcp			# Kerberos de-multiplexor
+zephyr-srv	2102/udp			# Zephyr server
+zephyr-clt	2103/udp			# Zephyr serv-hm connection
+zephyr-hm	2104/udp			# Zephyr hostmanager
+eklogin		2105/tcp			# Kerberos encrypted rlogin
+# Hmmm. Are we using Kv4 or Kv5 now? Worrying.
+# The following is probably Kerberos v5  --- ajt@debian.org (11/02/2000)
+kx		2111/tcp			# X over Kerberos
+#
+# Unofficial but necessary (for NetBSD) services
+#
+supfilesrv	871/tcp				# SUP server
+supfiledbg	1127/tcp			# SUP debugging
+#
+# Datagram Delivery Protocol services
+#
+rtmp		1/ddp				# Routing Table Maintenance Protocol
+nbp		2/ddp				# Name Binding Protocol
+echo		4/ddp				# AppleTalk Echo Protocol
+zip		6/ddp				# Zone Information Protocol
+#
+# Services added for the Debian GNU/Linux distribution
+#
+linuxconf       98/tcp                          # LinuxConf
+poppassd	106/tcp				# Eudora
+poppassd	106/udp				# Eudora
+imsp		406/tcp				# Interactive Mail Support Protocol
+imsp		406/udp				# Interactive Mail Support Protocol
+ssmtp		465/tcp		smtps		# SMTP over SSL
+nqs		607/tcp				# Network Queuing system
+moira_db	775/tcp				# Moira database
+moira_update	777/tcp				# Moira update protocol.
+moira_ureg	779/udp				# Moira user registration.
+omirr		808/tcp		omirrd		# online mirror
+omirr		808/udp		omirrd		# online mirror
+customs		1001/tcp			# pmake customs server
+customs		1001/udp			# pmake customs server
+rmiregistry	1099/tcp			# Java RMI Registry
+skkserv         1178/tcp                        # skk jisho server port
+predict		1210/udp			# predict -- satellite tracking
+rmtcfg		1236/tcp			# Gracilis Packeten remote config server
+xtel		1313/tcp			# french minitel
+xtelw		1314/tcp			# french minitel
+support		1529/tcp			# GNATS
+sieve		2000/tcp			# Sieve mail filter daemon
+cfinger		2003/tcp	lmtp		# GNU Finger / Local Mail Transfer Protocol
+ndtp		2010/tcp			# Network dictionary transfer protocol
+ninstall	2150/tcp			# ninstall service
+ninstall	2150/udp			# ninstall service
+zebrasrv	2600/tcp			# zebra service
+zebra		2601/tcp			# zebra vty
+ripd		2602/tcp			# RIPd vty
+ripngd		2603/tcp			# RIPngd vty
+ospfd		2604/tcp			# OSPFd vty
+bgpd		2605/tcp			# BGPd vty
+ospf6d		2606/tcp			# OSPF6d vty
+afbackup	2988/tcp			# Afbackup system
+afbackup	2988/udp			# Afbackup system
+afmbackup	2989/tcp			# Afmbackup system
+afmbackup	2989/udp			# Afmbackup system
+xtell		4224/tcp			# xtell server
+fax		4557/tcp			# FAX transmission service        (old)
+hylafax		4559/tcp			# HylaFAX client-server protocol  (new)
+pcrd		5151/tcp			# PCR-1000 Daemon
+noclog		5354/tcp			# noclogd with TCP (nocol)
+noclog		5354/udp			# noclogd with UDP (nocol)
+hostmon		5355/tcp			# hostmon uses TCP (nocol)
+hostmon		5355/udp			# hostmon uses UDP (nocol)
+postgres	5432/tcp			# POSTGRES
+postgres	5432/udp			# POSTGRES
+mrtd		5674/tcp			# MRT Routing Daemon
+bgpsim		5675/tcp			# MRT Routing Simulator
+canna           5680/tcp			# cannaserver
+sane		6566/tcp	saned		# SANE network scanner daemon
+ircd		6667/tcp			# Internet Relay Chat
+ircd		6667/udp			# Internet Relay Chat
+ircd-dalnet	7000/tcp			# IRC - Dalnet
+ircd-dalnet	7000/udp			# IRC - Dalnet
+webcache	8080/tcp			# WWW caching service
+webcache	8080/udp			# WWW caching service
+tproxy		8081/tcp			# Transparent Proxy
+tproxy		8081/udp			# Transparent Proxy
+omniorb		8088/tcp			# OmniORB
+omniorb		8088/udp			# OmniORB
+mandelspawn	9359/udp	mandelbrot	# network mandelbrot
+amanda		10080/udp			# amanda backup services
+kamanda		10081/tcp			# amanda backup services (Kerberos)
+kamanda		10081/udp			# amanda backup services (Kerberos)
+amandaidx	10082/tcp			# amanda backup services
+amidxtape	10083/tcp			# amanda backup services
+smsqp		11201/tcp			# Alamin SMS gateway
+smsqp		11201/udp			# Alamin SMS gateway
+xpilot		15345/tcp			# XPilot Contact Port
+xpilot		15345/udp			# XPilot Contact Port
+isdnlog		20011/tcp			# isdn logging system
+isdnlog		20011/udp			# isdn logging system
+vboxd		20012/tcp			# voice box system
+vboxd		20012/udp			# voice box system
+binkp		24554/tcp			# Binkley
+binkp		24554/udp			# Binkley
+asp		27374/tcp			# Address Search Protocol
+asp		27374/udp			# Address Search Protocol
+dircproxy	57000/tcp			# Detachable IRC Proxy
+tfido		60177/tcp			# Ifmail
+tfido		60177/udp			# Ifmail
+fido		60179/tcp			# Ifmail
+fido		60179/udp			# Ifmail
+
+# Local services
+pbs             15001/tcp                       # pbs server
+pbs_mom         15002/tcp                       # mom to/from server
+pbs_resmom      15003/tcp                       # mom resource management req
+pbs_resmom      15003/udp                       # mom resource management req
+pbs_sched       15004/tcp                       # scheduler
+cvspserver-sara 2408/tcp			# CVS SARA server
+
Index: trunk/pxeconfig/install.sh
===================================================================
--- trunk/pxeconfig/install.sh	(revision 34)
+++ trunk/pxeconfig/install.sh	(revision 34)
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+cp hexls /usr/bin/.
+cp pxeconfig /usr/bin/.
+cp pxeconfigd /usr/sbin/.
+
